/*Main elements*/
button {
  display: block;
  cursor: pointer;
}

/*Settings UI
======================*/
#settingsBtn {
  position: absolute;
  height: 55px;
  width: 55px;
  opacity: 0.6;
  right: 10px;
  top: 15px;
  border-radius: 50%;
}
#closeSettingsBtn {
  display: block;
  height: 30px;
  opacity: 0.5;
}
#settingsBox {
  /*displaying properties*/
  width: 50%;
  min-width: 600px;

  /*centrify element*/
  margin-left: auto;
  margin-right: auto;

  /*content postion*/
  text-align: center;

  /*displaying properties*/
  display: none;
  height: 400px;

  /*postion properties*/
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);

  /*styling preperties*/
  background: #dcf763;
  border-radius: var(--app-br);
  box-shadow: 0 0 60px black;

  /*content properties*/

  opacity: 0.8;
}

label {
  display: block;
}
/*================
end: Settings*/

#typeString {
  color: var(--blue-munsell);
}

#typedText {
  color: #593c8f;
}

#untypedText {
  color: inherit;
}

#userString {
  font-size: 60px;
  width: 600px;
  color: var(--quiz-text-color);
  background: transparent;
  border-bottom: 2px solid var(--quiz-text-color);
}

#userString:focus {
  outline: none;
  background: var(--input-focus);
  opacity: 0.9;
}
